/* $FreeBSD: src/lib/libc/stdtime/private.h,v 1.6.8.1 2000/08/23 00:19:15 jhb Exp $ */

/*
** This file is in the public domain, so clarified as of
** June 5, 1996 by Arthur David Olson (arthur_david_olson@nih.gov).
*/

#ifndef TZPRIVATE_H
#define TZPRIVATE_H

#define TRUE	1
#define FALSE	0

#define TZNAME_MAX	255
#define TZ_STRLEN_MAX	255

#define BIGGEST(a, b)	(((a) > (b)) ? (a) : (b))
#define INITIALIZE(x)	((x) = 0)

/* Unlike <ctype.h>'s isdigit, this also works if c < 0 | c > UCHAR_MAX.  */
#define is_digit(c) ((unsigned)(c) - '0' <= 9)

#endif
